package com.jiuqi.util;

public class ColorUtil
{
    public static final int WHITE = -1;
    public static final int BLACK = 0;
    
    public static int BGR2RGB(final int color) {
        if (color < 0) {
            return color;
        }
        final int red = (color & 0xFF) << 16;
        final int blue = (color & 0xFF0000) >> 16;
        final int green = color & 0xFF00;
        return red | blue | green;
    }
    
    public static int RGB2BGR(final int color) {
        if (color < 0) {
            return color;
        }
        final int red = (color & 0xFF0000) >> 16;
        final int blue = (color & 0xFF) << 16;
        final int green = color & 0xFF00;
        return red | blue | green;
    }
    
    public static int parseHexColor(final String colorString) {
        int result = -1;
        final StringBuffer numberStr = new StringBuffer();
        for (int i = colorString.length() - 1; i >= 0; --i) {
            final char chr = colorString.charAt(i);
            if ((chr >= '0' && chr <= '9') || (chr >= 'a' && chr <= 'f') || (chr >= 'A' && chr <= 'F')) {
                numberStr.insert(0, chr);
            }
            if (numberStr.length() == 6) {
                break;
            }
            if (chr == '+' || chr == '-') {
                numberStr.insert(0, chr);
                break;
            }
        }
        if (numberStr.length() > 0) {
            result = Integer.parseInt(numberStr.toString(), 16);
        }
        return result;
    }
    
    public static int parseHexRGBColor(final String colorString) {
        return BGR2RGB(parseHexColor(colorString));
    }
    
    public static void main(final String[] args) {
        System.out.println(parseHexRGBColor("#FF7792"));
    }
}
